<?

if($ku['time_drakon']>$time)$drakon_act=1;

if($ku['time_yastreb']>$time)$yastreb_act=1;

if($ku['time_shmel']>$time)$shmel_act=1;

if($ku['hydropinics_time']>$time)
{
$hp_act=1;
$hp_ps=$ku['hydropinics_type'];
}

if($ku['scarecrow_time']>$time)$sc_act=1; //Пугало
if($ku['dog_time']>$time){$dog_act=1;$dog_type=$ku['dog_type'];}
/////////////////////////////Сеялка////////////////////////////////////
if($ku['seeder']>0)
{
$sd=$ku['seeder'];
$seeder_act_skid=$sd*2;

if($sd<=6)$seeder_act=$sd*10;
elseif($sd==7)$seeder_act=80;
elseif($sd==8)$seeder_act=100;
elseif($sd==9)$seeder_act=130;
elseif($sd==10)$seeder_act=170;
elseif($sd==11)$seeder_act=220;
elseif($sd==12)$seeder_act=280;
elseif($sd>=13 && $sd<=20)$seeder_act=(280+(($sd-12)*30));
}
////////////////////////////Поставилка//////////////////////////////
if($ku['seeder2']>0)
{
$sd=$ku['seeder2'];
$seeder2_act_skid=$sd*2;

if($sd<=6)$seeder2_act=$sd*10;
elseif($sd==7)$seeder2_act=80;
elseif($sd==8)$seeder2_act=100;
elseif($sd==9)$seeder2_act=130;
elseif($sd==10)$seeder2_act=170;
elseif($sd==11)$seeder2_act=220;
elseif($sd==12)$seeder2_act=280;
elseif($sd>=13 && $sd<=20)$seeder2_act=(280+(($sd-12)*90));
}
/////////////////////////////////Комбайн///////////////////////////////////////
if($ku['harvester']>0)
{
$hv=$ku['harvester'];
if($hv<=6)$harvester_act=$hv*10;
elseif($hv==7)$harvester_act=80;
elseif($hv==8)$harvester_act=100;
elseif($hv==9)$harvester_act=130;
elseif($hv==10)$harvester_act=170;
elseif($hv==11)$harvester_act=220;
elseif($hv==12)$harvester_act=280;
elseif($hv>=13 && $hv<=20)$harvester_act=(280+(($hv-12)*30));
}
////////////////////////////////Комбайн Дон////////////////////////////////
if($ku['harvester2']>0)
{
$hv=$ku['harvester2'];
if($hv<=10)$harvester2_act=$hv*10;
else if($hv>10)$harvester2_act=($hv-10)*30+100;
}
//////////////////////////////////////////////Удобритель////////////////////////////////////
if($ku['soiler']>0)
{
$sr=$ku['soiler'];
if($sr<=6)$soiler_act=$sr*10;
elseif($sr==7)$soiler_act=80;
elseif($sr==8)$soiler_act=100;
elseif($sr==9)$soiler_act=130;
elseif($sr==10)$soiler_act=170;
elseif($sr==11)$soiler_act=220;
elseif($sr==12)$soiler_act=280;
elseif($sr>=13 && $sr <= 20)$soiler_act=(280+(($sr-12)*30));

if(isset($mc) && $mc['soil']>0)
{
$mc_p_soiler=$mc['soil']*5;
$soiler_act=(($soiler_act/100)*$mc_p_soiler)+$soiler_act;
}
//echo $soiler_act;
}
///////////////////////////////////////////////////Клумба////////////////////////////////////////
if($ku['flowerbed']>0)
{
$fb=$ku['flowerbed'];
if($fb<=6)$flowerbed_act=$fb;
elseif($fb==7)$flowerbed_act=8;
elseif($fb==8)$flowerbed_act=10;
elseif($fb==9)$flowerbed_act=13;
elseif($fb==10)$flowerbed_act=16;
elseif($fb==11)$flowerbed_act=20;
elseif($fb==12)$flowerbed_act=24;
elseif($fb==13)$flowerbed_act=28;
elseif($fb==14)$flowerbed_act=32;
elseif($fb==15)$flowerbed_act=36;
elseif($fb==16)$flowerbed_act=40;
elseif($fb==17)$flowerbed_act=44;
elseif($fb==18)$flowerbed_act=48;
elseif($fb==19)$flowerbed_act=52;
elseif($fb==20)$flowerbed_act=60;
}
/////////////////////////////////////////////////Ороситель//////////////////////////////////
if($ku['irregate']>0)
{
$ig=$ku['irregate'];
$irregate_act = (40+20*$ig);
$irregate_act_mnp = (29*(1-(pow(0.8,$ig))));
$irregate_act_m = (4+2*$ig);
}
////////////////////////////////////////////////Конвеер/////////////////////////////////////////
if($ku['conveyor']>0)
{
$cr=$ku['conveyor'];
if($cr==1)$conveyor_act=20;
elseif($cr==2)$conveyor_act=40;
elseif($cr==3)$conveyor_act=60;
elseif($cr==4)$conveyor_act=80;
elseif($cr==5)$conveyor_act=100;
elseif($cr==6)$conveyor_act=120;
elseif($cr==7)$conveyor_act=160;
elseif($cr==8)$conveyor_act=200;
elseif($cr==9)$conveyor_act=260;
elseif($cr==10)$conveyor_act=340;
elseif($cr==11)$conveyor_act=440;
elseif($cr==12)$conveyor_act=560;
elseif($cr>=13 && $cr <=20)$conveyor_act=(560+(($cr-12)*50));
}
////////////////////////////////////////////Кормушка////////////////////////////////////////////
if($ku['fooder']>0)
{
$fr=$ku['fooder'];
if($fr==1)$fooder_act=10;
elseif($fr==2)$fooder_act=20;
elseif($fr==3)$fooder_act=30;
elseif($fr==4)$fooder_act=40;
elseif($fr==5)$fooder_act=50;
elseif($fr==6)$fooder_act=60;
elseif($fr==7)$fooder_act=80;
elseif($fr==8)$fooder_act=100;
elseif($fr==9)$fooder_act=130;
elseif($fr==10)$fooder_act=170;
elseif($fr==11)$fooder_act=220;
elseif($fr==12)$fooder_act=280;
elseif($fr>=13 && $fr<=20)$fooder_act=(280+(($fr-12)*30));
}
/////////////////////////////////////////////Автоконвейер/////////////////////////////////////////
if($ku['avtoconveyor']>0)
{
$cr=$ku['avtoconveyor'];
if($cr==1)$avtoconveyor_act=20;
elseif($cr==2)$avtoconveyor_act=40;
elseif($cr==3)$avtoconveyor_act=60;
elseif($cr==4)$avtoconveyor_act=80;
elseif($cr==5)$avtoconveyor_act=100;
elseif($cr==6)$avtoconveyor_act=120;
elseif($cr==7)$avtoconveyor_act=160;
elseif($cr==8)$avtoconveyor_act=200;
elseif($cr==9)$avtoconveyor_act=260;
elseif($cr==10)$avtoconveyor_act=340;
elseif($cr==11)$avtoconveyor_act=440;
elseif($cr==12)$avtoconveyor_act=560;
elseif($cr>=13 && $cr<=20)$avtoconveyor_act=(560+(($cr-12)*60));
}
//////////////////////////////////////////Автокормушка//////////////////////////////////////////////
if($ku['avtofooder']>0)
{
$fr=$ku['avtofooder'];
if($fr==1)$avtofooder_act=10;
elseif($fr==2)$avtofooder_act=20;
elseif($fr==3)$avtofooder_act=30;
elseif($fr==4)$avtofooder_act=40;
elseif($fr==5)$avtofooder_act=50;
elseif($fr==6)$avtofooder_act=60;
elseif($fr==7)$avtofooder_act=80;
elseif($fr==8)$avtofooder_act=100;
elseif($fr==9)$avtofooder_act=130;
elseif($fr==10)$avtofooder_act=170;
elseif($fr==11)$avtofooder_act=220;
elseif($fr==12)$avtofooder_act=280;
elseif($fr>=13 && $fr<=20)$avtofooder_act=(280+(($fr-12)*60));
}

////////////////////////////////Культиватор///////////////////////////////
if($ku['cultivator']>0)
{
$sr=$ku['cultivator'];
$cultivator_act = 80+40*$sr;
$cultivator_seat_soil = 10*$sr;
}
///////////////////////////////Пылесос///////////////////////////////////
if($ku['cultivator2']>0)
{
$sr=$ku['cultivator2'];
if($sr<=6){$cultivator2_act=$sr*20;$cultivator2_exp=$sr*5;}
elseif($sr==7){$cultivator2_act=160;$cultivator2_exp=40;}
elseif($sr==8){$cultivator2_act=200;$cultivator2_exp=50;}
elseif($sr==9){$cultivator2_act=260;$cultivator2_exp=60;}
elseif($sr==10){$cultivator2_act=340;$cultivator2_exp=70;}
elseif($sr==11){$cultivator2_act=440;$cultivator2_exp=80;}
elseif($sr==12){$cultivator2_act=560;$cultivator2_exp=100;}
elseif($sr>=13 && $sr<=20){$cultivator2_act=(560+(($sr-12)*100));$cultivator2_exp=(100+(($sr-12)*20));}
}
////////////////////////////////Пруд Фильтр/////////////////////////////
if($ku['sponder']>0)
{
$hs=$ku['sponder'];
$spondwater_act=$hs*3;
if($hs<=6)$sponder_act=$hs*10;
elseif($hs==7)$sponder_act=100;
elseif($hs==8)$sponder_act=140;
elseif($hs==9)$sponder_act=200;
elseif($hs==10)$sponder_act=280;
elseif($hs==11)$sponder_act=380;
elseif($hs==12)$sponder_act=500;
elseif($hs>=13 && $hs<=20)$sponder_act=(500+(($hs-12)*100));
}
///////////////////////////////Рыбоуловитель/////////////////////////////////////////
if($ku['catchfish']>0)
{
$hs=$ku['catchfish'];
$catckorm_act=$hs*5;
if($hs<=7)$catchfish_act=$hs*10;
elseif($hs==8)$catchfish_act=90;
elseif($hs==9)$catchfish_act=120;
elseif($hs==10)$catchfish_act=160;
elseif($hs==11)$catchfish_act=210;
elseif($hs==12)$catchfish_act=270;
elseif($hs>=13 && $hs<=20)$catchfish_act=(270+(($hs-12)*40));
}
/////////////////////////////////////////////////////Инкубатор////////////////////////////////////////////////////////
if($ku['incubator']>0)
{
$incubator_time_act=pow(0.95,$ku['incubator']);
$incubator_timesoil_act=pow(0.96,$ku['incubator']);
} else {$incubator_time_act=1;$incubator_timesoil_act=1;}

if(isset($mc) && $mc['irrigate']>0) // оросительная система
{
$mc_hp_act=1;
$mc_hp_ps=$mc['irrigate']*10;
// ороситель (кх постройка)
// даёт эфект подобный гидре
// уровень оросителя*10
}

if(isset($mc) && $mc['school']>0) // колхозная школа
{
$exp=20+($mc['school']*2); // уровень фермеров
if($exp>=$ku['level'])$school_act=1; // удвоение базового опыта доступо фермерам с уровнем больше $exp включительно
}

if(isset($mc) && $mc['vet']>0) //вет. клиника
{
$vet_act=1;
$vet_ps_m=$mc['vet']*10;
$vet_ps_r=$mc['vet']*25;
}

if(isset($mc) && $mc['bank']>0) // кх банк
{
$payment_act=1;
$payment_ps=$mc['bank']*5;
// даёт дополнительные рубины при покупке (уровень * 5%)
}

if(isset($mc) && $mc['lib']==1) // кх библиотека
{
$lib_act=1;
// повышает получаемый базовый опыт всех колхозников на 50%
}

if(isset($mc) && $mc['greenhouse']>0) // кх теплица
{
$greenhouse_act=1;
$greenhouse_ps=$mc['greenhouse']*20;
// увеличивает урожай с грядок на (уровень * 20%)
}
if(isset($mc) && $mc['cellar']>0) // кх склад заготовок
{
$cellar_act=1;
if($mc['cellar']<=5){$cellar_ps=100;}else{
$cellar_ps=$mc['cellar']*20;}
// увеличивает урожай с погреба на (уровень * 20%)
}
?>